
#include "defs.h"

Prototype void ArticleFileName(char *path, History *h, int absolute);

void
ArticleFileName(char *path, History *h, int absolute)
{
    int l = 0;

    if (absolute) {
	sprintf(path, "%s/", SpoolHome);
	l = strlen(path);
    }

    if (h->boffset || h->bsize) {
	sprintf(path + l, "D.%08lx/B.%04x",
	    h->gmt - h->gmt % 10,
	    (int)h->iter
	);
    } else {
	sprintf(path + l, "D.%08lx/%08lx.%08lx.%04x",
	    h->gmt - h->gmt % 10,
	    h->hv.h1,
	    h->hv.h2,
	    h->iter
	);
    }
}

